package com.xs.core.controller.competition;

import com.xs.core.model.ResponseResult;
import com.xs.core.model.user.req.GoldCoinCompetitionRankingReq;
import com.xs.core.model.user.resp.UserCompetitionResp;
import com.xs.core.service.competition.CompetitionService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/competition")
@Tag(name = "竞赛排行榜")
public class CompetitionController {
    @Autowired
    private CompetitionService competitionService;

    @Operation(summary = "金币排行榜", description = "金币排行榜")
    @PostMapping("/goldCoinCompetitionRanking")
    public ResponseResult<List<UserCompetitionResp>> goldCoinCompetitionRanking(@RequestBody GoldCoinCompetitionRankingReq query) {
        List<UserCompetitionResp> userCompetitionRespList = competitionService.goldCoinCompetitionRanking(query.getLimit(), query.getInvitees());
        return ResponseResult.success(userCompetitionRespList);
    }
}
