package com.xs.core.controller.team;

import com.xs.core.common.content.UserContext;
import com.xs.core.common.content.UserContextHolder;
import com.xs.core.model.ResponseResult;
import com.xs.core.model.team.resp.TeamsInfoResp;
import com.xs.core.service.team.TeamShareService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/team/share")
@Tag(name = "团队邀请", description = "团队邀请")
public class TeamShareController {
    @Autowired
    private TeamShareService teamShareService;

    @Operation(summary = "获取我的团队信息", description = "获取我的团队信息")
    @PostMapping("/getMyTeamsInfo")
    public ResponseResult<TeamsInfoResp> getMyTeamsInfo() {
        UserContext userContext = UserContextHolder.getContext();
        TeamsInfoResp teamsInfoResp = teamShareService.getMyTeamsInfo(userContext.getId());
        return ResponseResult.success(teamsInfoResp);
    }
}
