package com.xs.core.mapper.user;

import com.xs.core.model.team.resp.TeamUserResp;
import com.xs.core.model.user.entity.TgUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xs.core.model.user.resp.UserCompetitionResp;
import org.apache.ibatis.annotations.Param;

import java.io.Serial;
import java.util.List;

/**
 * <p>
 * tg用户 Mapper 接口
 * </p>
 *
 * @author xudm
 * @since 2024-12-18
 */
public interface TgUserMapper extends BaseMapper<TgUser> {
    /**
     * 查询我的团队列表
     *
     * @param userId   用户id
     * @param teamType 团队类型
     * @return
     */
    List<TeamUserResp> getMyTeamUserList(@Param("userId") Long userId, @Param("teamType") String teamType);

    /**
     * 统计我的团队人数
     *
     * @param userId   用户id
     * @param teamType 团队类型
     * @return
     */
    int countMyTeamUserList(@Param("userId") Long userId, @Param("teamType") String teamType);

    /**
     * 金币排行榜
     *
     * @return 用户金币排行信息
     */
    List<UserCompetitionResp> goldCoinCompetitionRanking(@Param("limit") int limit, @Param("invitees") int invitees);

    /**
     * 查询我的邀请人
     *
     * @param userId
     * @return
     */
    TgUser getInviterByUserId(Long userId);
}
