package com.xs.core.model.user.resp;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 竞赛排行榜
 */
@Data
@Schema(name = "UserCompetitionResp", description = "竞赛排行榜")
public class UserCompetitionResp {
    /**
     * 排名
     */
    @Schema(description = "排名")
    private int ranking;

    /**
     * tg小程序id
     */
    @Schema(description = "tg小程序id")
    private String tgId;

    /**
     * tg账号
     */
    @Schema(description = "tg账号")
    private String tgAccount;

    /**
     * 名
     */
    @Schema(description = "名")
    private String firstName;

    /**
     * 姓
     */
    @Schema(description = "姓")
    private String lastName;

    /**
     * 昵称
     */
    @Schema(description = "昵称")
    private String nickname;

    /**
     * 真实姓名
     */
    @Schema(description = "真实姓名")
    private String realName;

    /**
     * 头像
     */
    @Schema(description = "头像")
    private String avatar;

    /**
     * 介绍人_id
     */
    @Schema(description = "介绍人_id")
    private String referrerId;

    /**
     * 空投数量
     */
    @Schema(description = "空投数量")
    private Integer airdropCoin;

    /**
     * 金币余额
     */
    @Schema(description = "金币余额")
    private BigDecimal goldCoinAmount;

    /**
     * 金币总数量
     */
    @Schema(description = "金币总数量")
    private BigDecimal goldCoinTotalHis;

}
