package com.xs.core.service.team;

import com.xs.core.model.coin.msg.TeamShareMessage;
import com.xs.core.model.team.resp.TeamUserResp;
import com.xs.core.model.team.resp.TeamsInfoResp;
import com.xs.core.model.user.entity.TgUser;

import java.util.List;

/**
 * 团队相关接口
 */
public interface TeamShareService {

    /**
     * 团队产出金币结算
     *
     * @param teamShareMessage 团队产出消息体
     */
    void teamShareGoldCoinSettlement(TeamShareMessage teamShareMessage);

    /**
     * 团队邀请奖励发放
     *
     * @param inviterId 邀请人id
     * @param inviteeId 被邀请人id
     */
    void teamInviteGoldCoinRewardGeneral(Long inviterId, Long inviteeId);

    /**
     * 获取我的团队用户列表
     *
     * @param userId   用户id
     * @param teamType 团队类型
     * @return 我的团队用户列表
     */
    List<TeamUserResp> getMyTeamUserList(Long userId, String teamType);

    /**
     * 获取我的团队信息
     *
     * @param id
     * @return
     */
    TeamsInfoResp getMyTeamsInfo(Long id);
}
